package com.sp.blinddate.base;

import org.apache.commons.lang3.StringUtils;

public class MNode {

	private final PNode pnode;
	private final String pname;
	private final String desc;

	private MNode(PNode pnode, String desc) {
		this.pnode = pnode;
		this.pname = pnode.pname;
		this.desc = desc;
	}

	public static MNode of(final PNode pnode) {
		return new MNode(pnode, pnode.desc);
	}

	public static MNode of(final PNode pnode, final String desc) {
		return new MNode(pnode, StringUtils.isBlank(desc) ? pnode.desc : desc);
	}

	public String getPname() {
		return pname;
	}

	public String getDesc() {
		return desc;
	}

}
