package com.sp.blinddate.module.admin_tool;

import com.sp.blinddate.base.AUri;
import com.sp.blinddate.websocket.Ws;
import com.sp.http.MJson;
import org.apache.commons.lang3.StringUtils;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RestController;
import springfox.documentation.annotations.ApiIgnore;

/**
 * 运营工具
 * 1。 websocket的使用。
 * @author: jahe.lai
 * @create: 2019-10-15 11:21
 */
@RestController
@ApiIgnore
public class AdminToolController {


    /**
     * 开启自动连接服务。只要用户登录在线就要连接WS,断开了重试。
     * @param flag 1开	0关
     * @return
     */
    @GetMapping(AUri.WS_SRV_SETTING_WS_AUTO)
    public MJson<Object> wsAuto(Integer flag) {
        boolean auto = true;
        if (null==flag || flag < 1) {
            auto = false;
            Ws.WS_MSG.set(null);
        }
        Ws.WS_AUTO.set(auto);
        return MJson.ok();
    }
    /**
     * ws服务的在线用户
     * @return
     */
    @GetMapping(AUri.WS_SRV_GET_USERS)
    public MJson<Object> wsUsers() {
        return MJson.ok(Ws.onlineUsers());
    }

    /**
     * 广播消息
     * @param err true: 警告消息
     * @param msg
     * @return
     */
    @PostMapping(AUri.WS_SRV_SETTING_MSG)
    public MJson<Object> wsMsg(Boolean err, String msg) {
        if (StringUtils.isBlank(msg)) {
            return MJson.fail("msg是空的");
        }
        Ws.broadcastMsg(msg, err);
        Ws.WS_MSG.set(msg);
        return MJson.ok();
    }


}
