package com.sp.blinddate.module.permission.controller;

import com.sp.blinddate.base.AUri;
import com.sp.blinddate.base.PMenu;
import com.sp.blinddate.base.PModule;
import com.sp.blinddate.base.PNode;
import com.sp.http.MJson;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RestController;
import springfox.documentation.annotations.ApiIgnore;

import java.util.HashMap;
import java.util.Map;

/**
 * 生成对应VUE的路由结构数据。
 * @author: jahe.lai
 * @create: 2019-09-26 16:45
 */
@RestController
@ApiIgnore
public class PermissionController {

    /**
     * 权限元数据
     * @return
     */
    @GetMapping(AUri.PERMISSION_MANAGER)
    public MJson<Object> menuMetaData() {
        Map<String, Object> map = new HashMap<>();
        map.put("menuList", PMenu.toListMap());
        map.put("moduleList", PModule.toListMap(PModule.values()));
        map.put("nodeList", PNode.toListMap());
        return MJson.ok(map);
    }

}
