package com.sp.blinddate.module.permission.vo;

import com.sp.blinddate.module.permission.entity.PermissionPO;

import java.util.List;

/**
 * 用户的权限数据对象
 * @author: jahe.lai
 * @create: 2019-10-10 17:10
 */
public class UserPrivilegeVO {

    private int roleId = 0;
    private String roleName = "";
    public List<PermissionPO> userPOList;
    private List<ModulePermissionVO> permissionVOList;

    public static UserPrivilegeVO ofPO (List<PermissionPO> voList) {
        UserPrivilegeVO vo = new UserPrivilegeVO();
        vo.userPOList = voList;
        return vo;
    }
    public static UserPrivilegeVO of (List<ModulePermissionVO> voList) {
        UserPrivilegeVO vo = new UserPrivilegeVO();
        vo.permissionVOList = voList;
        return vo;
    }
    public static UserPrivilegeVO of (int roleId, String roleName, List<PermissionPO> voList) {
        UserPrivilegeVO vo = new UserPrivilegeVO();
        vo.roleId = roleId;
        vo.roleName = roleName;
        vo.userPOList = voList;
        return vo;
    }

    public int getRoleId() {
        return roleId;
    }

    public String getRoleName() {
        return roleName;
    }

    public List<ModulePermissionVO> getPermissionVOList() {
        return permissionVOList;
    }

    public void setPermissionVOList(List<ModulePermissionVO> permissionVOList) {
        this.permissionVOList = permissionVOList;
    }
}
