package com.sp.blinddate.module.statistics.controller;


import com.github.pagehelper.PageInfo;
import com.sp.blinddate.base.AUri;
import com.sp.blinddate.module.statistics.entity.ProfileStatistics;
import com.sp.blinddate.module.statistics.param.StatisticsParam;
import com.sp.blinddate.module.statistics.service.IProfileStatisticsService;
import com.sp.http.MJson;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 * <p>
 * 概况统计表 前端控制器
 * </p>
 *
 * @author 十一
 * @since 2019-11-25
 */
@RestController
@Api(tags = "概括统计域")
public class ProfileStatisticsController {

    @Autowired
    private IProfileStatisticsService profileStatisticsService;

    @GetMapping(AUri.GENERALIZE_MANAGER)
    @ApiOperation(value = "获取概括统计信息", notes = "获取概括统计信息")
    public MJson<PageInfo<ProfileStatistics>> getStatistics(StatisticsParam param){
        PageInfo<ProfileStatistics> info = profileStatisticsService.getStatistics(param);
        return MJson.ok(info);
    }
}
