package com.sp.blinddate.module.user.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 运营后台用户表
 * </p>
 * @author jahe.lai
 * @since 2019-09-26
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("admin_user")
public class AdminUserPO extends Model<AdminUserPO> {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 帐号
     */
    private String account;

    private String password;

    /**
     * 中文名
     */
    @TableField("nameCn")
    private String nameCn;

    /**
     * 英文名
     */
    @TableField("nameEn")
    private String nameEn;

    /**
     * 锁定标识
     */
    @TableField("lockFlag")
    private Boolean lockFlag;

    /**
     * 删除标识
     */
    @TableField("delFlag")
    private Boolean delFlag;

    /**
     * 创建人
     */
    @TableField("genUid")
    private Integer genUid;

    /**
     * 创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField("createTime")
    private Date createTime;


    @Override
    protected Serializable pkVal() {
        return this.id;
    }

}
