package com.sp.blinddate.module.user.service;

import com.sp.blinddate.module.permission.vo.ModulePermissionVO;
import com.sp.blinddate.module.user.entity.AdminUserPO;
import com.baomidou.mybatisplus.extension.service.IService;
import com.sp.http.ServiceResult;

import java.util.List;

/**
 * <p>
 * 运营后台用户表 服务类
 * </p>
 *
 * @author jahe.lai
 * @since 2019-09-26
 */
public interface IAdminUserService extends IService<AdminUserPO> {

    /**
     * 帐号密码登录检验
     * @param username
     * @param password
     * @return
     */
    public String checkLogin(String username, String password);

    /**
     * 登录帐号查找用户信息
     * @param username
     * @return
     */
    AdminUserPO findByUserName(String username);

    AdminUserPO findInfo(Integer userId);

    ServiceResult<Boolean> addUser(AdminUserPO userPO);

    ServiceResult<Boolean> updateUser(AdminUserPO userPO);

    boolean deleteUser(Integer userId);

    ServiceResult<Boolean> updatePass(Integer userId, String pre_password, String password);

    List<ModulePermissionVO> findPermission(Integer userId, String username);

    List<AdminUserPO> findAll();
}
