package com.sp.blinddate.module.vip;

import com.github.pagehelper.PageInfo;
import com.sp.blinddate.base.AUri;
import com.sp.blinddate.module.vip.param.BaseParam;
import com.sp.blinddate.module.vip.param.VipParam;
import com.sp.blinddate.module.vip.service.VipStatisticsService;
import com.sp.blinddate.module.vip.vo.UserVO;
import com.sp.blinddate.module.vip.vo.VipExpireVO;
import com.sp.http.MJson;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @Descrption
 * @Author: 十一
 * @Date: 2019/11/25 16:33
 **/
@RestController
@Api(tags = "认证域")
public class VipController {

    @Autowired
    public VipStatisticsService vipStatisticsService;
    
    @ApiOperation(value = "获取付费会员的统计信息", notes = "获取付费会员的统计信息")
    @PostMapping(AUri.USERAUTH_MANAGER)
    public MJson<PageInfo<VipExpireVO>> getVipStatistics(@Validated VipParam param){
        PageInfo<VipExpireVO> info = vipStatisticsService.getVipStatistics(param);
        return MJson.ok(info);
    }

    @ApiOperation(value = "获取所有用户的信息", notes = "获取所有用户的信息")
    @PostMapping(AUri.USER_MANAGER_LIST)
    public MJson<PageInfo<UserVO>> getUserList(@Validated BaseParam param){
        PageInfo<UserVO> info = vipStatisticsService.getUserList(param);
        return MJson.ok(info);
    }
}
