package com.sp.blinddate.security.handler;

import com.sp.blinddate.util.HttpHelper;
import com.sp.http.MJson;
import com.sp.http.status.IStatus;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.security.core.AuthenticationException;
import org.springframework.security.web.AuthenticationEntryPoint;
import org.springframework.stereotype.Component;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.IOException;
import java.io.Serializable;

/**
 * 解决匿名用户访问无权限资源时的异常
 * @author: jahe.lai
 * @create: 2019-09-24 09:58
 */
@Component
public class SPAuthenticationEntryPointImpl implements AuthenticationEntryPoint, Serializable {

    private static final long serialVersionUID = -8970718410437077606L;
    protected static Logger logger = LoggerFactory.getLogger(SPAuthenticationEntryPointImpl.class);

    @Override
    public void commence(HttpServletRequest request, HttpServletResponse response, AuthenticationException e) throws IOException {
        logger.error("请求访问: " + request.getRequestURI() + " 接口， 经jwt认证失败，无法访问系统资源.", e);
        HttpHelper.ok(MJson.resp(IStatus.HTTP_UNAUTHORIZED,
                "请求访问:" + request.getRequestURI() + "接口,经jwt 认证失败,无法访问系统资源."),response);
    }
}
