package com.sp.blinddate.security.handler;

import com.sp.blinddate.exception.ValidateCodeException;
import com.sp.blinddate.util.HttpHelper;
import com.sp.http.MJson;
import org.springframework.security.core.AuthenticationException;
import org.springframework.security.web.authentication.AuthenticationFailureHandler;
import org.springframework.stereotype.Component;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.IOException;

/**
 * 登录失败处理器
 * @author: jahe.lai
 * @create: 2019-09-24 10:20
 */
@Component
public class SPAuthenticationFailureHandler implements AuthenticationFailureHandler {

    @Override
    public void onAuthenticationFailure(HttpServletRequest request, HttpServletResponse response,
                                        AuthenticationException exception) throws IOException {
        String message;

        if (exception instanceof ValidateCodeException) {
            message = exception.getMessage();
        } else {
            message = "登录认证失败，请联系网站管理员！";
        }
        HttpHelper.ok(MJson.fail(message), response);
    }
}
