package com.sp.blinddate.security.handler;

import com.sp.blinddate.module.permission.vo.ModulePermissionVO;
import com.sp.blinddate.security.vo.SPSecurityUser;
import com.sp.blinddate.module.user.service.IAdminUserService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.security.core.Authentication;
import org.springframework.security.web.authentication.AuthenticationSuccessHandler;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.IOException;
import java.util.List;

/**
 * 登录认证成功后的处理器 暂时未用到。
 * @author: jahe.lai
 * @create: 2019-09-24 10:26
 */
//@Component
public class SPAuthenticationSuccessHandler implements AuthenticationSuccessHandler {

    @Autowired
    private IAdminUserService adminUserService;

    @Override
    public void onAuthenticationSuccess(HttpServletRequest request, HttpServletResponse response,
                                        Authentication authentication) throws IOException, ServletException {
        Object principal = authentication.getPrincipal();
        if (principal instanceof SPSecurityUser) {
            SPSecurityUser userDetail = (SPSecurityUser) authentication.getPrincipal();
            List<ModulePermissionVO> permissionVOList = adminUserService.findPermission(userDetail.getUserId(), userDetail.getUsername());
            userDetail.setPermissionList(permissionVOList);
            //存储认证信息
//            SecurityContextHolder.getContext().setAuthentication(authentication);
        }
    }
}
