package com.sp.blinddate.web.config;

import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.web.multipart.commons.CommonsMultipartResolver;
import org.springframework.web.servlet.config.annotation.CorsRegistry;
import org.springframework.web.servlet.config.annotation.WebMvcConfigurer;

/**
 * Spring-mvc的追加配置
 * @author: jahe.lai
 * @create: 2019-09-28 17:44
 */
@Configuration
public class WebMvcConfig implements WebMvcConfigurer {

    @Override
    public void addCorsMappings(CorsRegistry registry) {
        //addMapping 跨域所能访问的路径
        //allowedOrigins：那些域可以访问，默认为任何域都可以访问
        registry.addMapping("/**").allowedOrigins("*");
    }

    @Bean
    public CommonsMultipartResolver multipartResolver(){
        CommonsMultipartResolver resolver = new CommonsMultipartResolver();
        resolver.setDefaultEncoding("UTF-8");
        resolver.setMaxUploadSize(15728640);
        return resolver;
    }
}
