package com.sp.blinddate.websocket;

import com.sp.blinddate.base.AUri;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Configuration;
import org.springframework.web.socket.config.annotation.EnableWebSocket;
import org.springframework.web.socket.config.annotation.WebSocketConfigurer;
import org.springframework.web.socket.config.annotation.WebSocketHandlerRegistry;
import org.springframework.web.socket.server.HandshakeInterceptor;

/**
 * spring-websocket的配置类
 * @author: jahe.lai
 * @create: 2019-10-15 14:53
 */
@Configuration
@EnableWebSocket
public class WebSocketConfig implements WebSocketConfigurer {
    private static final Logger logger = LoggerFactory.getLogger(WebSocketConfig.class);

    @Autowired
    private WebSocketMessage webSocketMessage;
//
    @Override
    public void registerWebSocketHandlers(WebSocketHandlerRegistry registry) {
        logger.info("registerWebSocketHandlers");
        // 前台 可以使用websocket环境
        registry.addHandler(webSocketMessage, AUri.WEBSOCKET_SRV)
                // 允许跨域
                .setAllowedOrigins("*")
                .addInterceptors(newHandshakeInterceptor());

    }

    public HandshakeInterceptor newHandshakeInterceptor() {
        return new WebSocketHandshakeInterceptor();
    }

}
