package com.sp.blinddate.bloomfilter;

import com.sp.blinddate.module.user.entity.User;
import org.redisson.api.RBloomFilter;
import org.redisson.api.RedissonClient;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

/**
 * @Descrption
 * @Author: 十一
 * @Date: 2019/11/26 16:37
 **/
@Configuration
public class BloomFilterConfig {

    @Autowired
    private RedissonClient client;

    /**
     * 用户信息保存过滤器
    **/
    private final String USER_INFO_SAVED_FILTER = "user:info:saved:filter";

    @Bean
    public RBloomFilter userInfoSavedFilter(){
        RBloomFilter<Object> filter = client.getBloomFilter(USER_INFO_SAVED_FILTER);
        filter.tryInit(55000000L, 0.03);
        return filter;
    }

}
