package com.sp.blinddate.module.order.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.sp.blinddate.module.order.ienum.OrderStatusEnum;
import com.sp.blinddate.module.order.ienum.PayStatusEnum;
import com.sp.blinddate.module.order.ienum.PayTypeEnum;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * <p>
 * 订单表
 * </p>
 *
 * @author 十一
 * @since 2019-09-24
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("orders")
public class Order extends Model<Order> {

    private static final long serialVersionUID = 1L;

    /**
     * 爆灯点亮
    **/
    public static final Integer EXPLOSIONLIGHT = 1;

    /**
     * 赠送礼物
    **/
    public static final Integer GIFT = 2;

    /**
     * 私信聊天
    **/
    public static final Integer PRIVATELETTER = 3;

    /**
     * 作品内容
    **/
    public static final Integer WorkPay = 4;
    /**
     * 订单编号
     */
    @TableId(value = "order_no",type = IdType.INPUT)
    private Long orderNo;

    /**
     * 业务编码
     */
    private String busiCode;

    /**
     * 业务订单类型(业务方区分不同订单)
     */
    private String busiOrderType;

    /**
     * 业务订单号
     */
    private Long busiOrderNo;

    /**
     * 业务订单扩展数据(业务方存储扩展数据)
     */
    private String busiOrderData;

    /**
     * 订单信息，支付标题
     */
    private String subjects;
    /**
     * 订单金额
     */
    private BigDecimal totalAmount;

    /**
     * 订单渠道
     */
    private String channel;

    /**
     * 订单状态，OrderStatusEnum
     */
    private OrderStatusEnum orderStatus;

    /**
     * 订单状态描述
     */
    private String orderStatusDesc;

    /**
     * 订单业务备注
     */
    private String memo;

    /**
     * 支付状态，PayStatusEnum
     */
    private PayStatusEnum payStatus;

    /**
     * 支付方式，PayTypeEnum
     */
    private PayTypeEnum payType;

    /**
     * 支付号
     */
    private String payNo;

    /**
     * 支付应用ID
     */
    private String payAppId;

    /**
     * 支付商户号
     */
    private String paySellerId;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新时间
     */
    private Date updateTime;


    @Override
    protected Serializable pkVal() {
        return this.orderNo;
    }

}
