package com.sp.blinddate.module.order.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.sp.blinddate.module.order.ienum.PayStatusEnum;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * <p>
 * 订单详情表
 * </p>
 *
 * @author 十一
 * @since 2019-09-26
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("order_detail")
public class OrderDetail extends Model<OrderDetail> {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.INPUT)
    private Long id;

    /**
     * 订单号
     */
    private Long orderNo;

    /**
     * 订单类型,爆灯点亮,VIP会员,私信聊天
     */
    @TableField("busiOrderType")
    private String busiOrderType;

    /**
     * 原价
     */
    private BigDecimal originalPrice;

    /**
     * 现价
     */
    private BigDecimal currentPrice;

    /**
     * 数量
     */
    @TableField("Quantity")
    private Integer Quantity;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 订单状态
    **/
    private PayStatusEnum orderPayStatus;

    /**
     * 订单描述
     **/
    private String des;

    /**
     * 发起订单的用户id
    **/
    private Long userId;

    @Override
    protected Serializable pkVal() {
        return this.id;
    }

}
