package com.sp.blinddate.module.order.param;

import com.sp.blinddate.module.order.ienum.PayTypeEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.hibernate.validator.constraints.Range;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @author apple
 */
@Data
@ApiModel(value="创建订单参数")
public class OrderParam implements Serializable {

	private static final long serialVersionUID = 1L;

	@NotNull(message = "金额为空")
	@Range(min = 0,max = 2000,message = "订单金额不合法0～2000")
	@ApiModelProperty(name="original_total_amount",value="原价(单位元）")
	private BigDecimal originalTotalAmount;

	@NotNull(message = "金额为空")
	@Range(min = 0,max = 2000,message = "订单金额不合法0～2000")
	@ApiModelProperty(name="current_total_amount",value="现价(单位元）")
	private BigDecimal currentTotalAmount;

	@NotNull(message = "数量为空")
	@Range(min = 1,max = 100,message = "订单数量不合法0～100")
	@ApiModelProperty(name="quantity",value="订单数量")
	private Integer quantity;

	@ApiModelProperty(name="channel",value="订单渠道:有期：friendship，卿卿:qingqing",hidden = true)
	private String channel;

	@NotNull(message = "payType为空")
	@ApiModelProperty(name="payType",value="小程序：15")
	private PayTypeEnum payType;

	@NotNull(message = "busiOrderType为空")
	@ApiModelProperty(name="busiOrderType",value="订单类型:内容为sn的值,VIP:vip")
	private String busiOrderType;
}
