package com.sp.blinddate.module.order.service.impl;

import com.baomidou.mybatisplus.core.conditions.update.UpdateWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.sp.blinddate.module.order.entity.OrderDetail;
import com.sp.blinddate.module.order.ienum.PayStatusEnum;
import com.sp.blinddate.module.order.mapper.OrderDetailMapper;
import com.sp.blinddate.module.order.service.IOrderDetailService;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

/**
 * <p>
 * 订单详情表 服务实现类
 * </p>
 *
 * @author 十一
 * @since 2019-09-26
 */
@Service
@Transactional
public class OrderDetailServiceImpl extends ServiceImpl<OrderDetailMapper, OrderDetail> implements IOrderDetailService {

    @Override
    public boolean updatePayStatus(String orderNo, PayStatusEnum payed) {
        UpdateWrapper<OrderDetail> uw = new UpdateWrapper();
        uw.lambda().eq(OrderDetail::getOrderNo, orderNo)
                .set(OrderDetail::getOrderPayStatus, payed.getNum());
        return this.update(uw);
    }
}
