package com.sp.blinddate.module.spouse.service.impl;

import com.sp.blinddate.module.spouse.entity.SpouseRequest;
import com.sp.blinddate.module.spouse.mapper.SpouseRequestMapper;
import com.sp.blinddate.module.spouse.service.ISpouseRequestService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.sp.blinddate.module.user.entity.User;
import com.sp.blinddate.module.user.param.UserFullInfoParam;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

/**
 * <p>
 * 择偶要求表 服务实现类
 * </p>
 *
 * @author 十一
 * @since 2019-11-13
 */
@Service
@Transactional
public class SpouseRequestServiceImpl extends ServiceImpl<SpouseRequestMapper, SpouseRequest> implements ISpouseRequestService {

    /**
     *功能描述 获取用户的相亲要求
     * @author 十一
     * @date 2019/11/20 16:33
     */
    @Override
    public SpouseRequest getUserRequsetByUserInfoId(Long id) {
        return this.getById(id);
    }

    @Override
    public void updateSpouseRequest(Long userInfoId, UserFullInfoParam fullInfoParam) {
        SpouseRequest spouse = this.getById(userInfoId);
        Boolean flag = true;
        if(spouse == null){
            flag = false;
            spouse = new SpouseRequest();
            spouse.setUserInfoId(userInfoId);
        }
        spouse.setAge(fullInfoParam.getExpAge());
        spouse.setHeight(fullInfoParam.getExpheight());
        spouse.setIncome(fullInfoParam.getExpIncome());
        spouse.setCensusProvince(fullInfoParam.getExpCensusProvince());
        spouse.setCensusCity(fullInfoParam.getExpCensusCity());
        spouse.setHouse(fullInfoParam.getExpHouse());
        spouse.setEducation(fullInfoParam.getExpEducation());
        spouse.setDes(fullInfoParam.getExpDes());
        if(flag){
            this.updateById(spouse);
        }else{
            this.save(spouse);
        }
    }
}
