package com.sp.blinddate.module.statistics.entity;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.util.Date;
import java.io.Serializable;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 概况统计表
 * </p>
 *
 * @author 十一
 * @since 2019-11-25
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("profile_statistics")
public class ProfileStatistics extends Model<ProfileStatistics> {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    private Long id;

    /**
     * 日期
     */
    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    private Date date;

    /**
     * 今日认证费用
     */
    private BigDecimal todayCertificationFee  = BigDecimal.ZERO;

    /**
     * 昨日认证费用
     */
    private BigDecimal yestodayCertificationFee = BigDecimal.ZERO;

    /**
     * 总认证费用
     */
    private BigDecimal totalCertificationFee = BigDecimal.ZERO;

    /**
     * 今日发布总数
     */
    private int todayPublishTotal;

    /**
     * 昨日发布总数
     */
    private int yestodayPublishTotal;

    /**
     * 总发布数
     */
    private int publishTotal;


    @Override
    protected Serializable pkVal() {
        return null;
    }

}
