package com.sp.blinddate.module.statistics.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import com.sp.RedisServer;
import com.sp.blinddate.module.statistics.entity.ProfileStatistics;
import com.sp.blinddate.module.statistics.mapper.ProfileStatisticsMapper;
import com.sp.blinddate.module.statistics.param.StatisticsParam;
import com.sp.blinddate.module.statistics.prefix.StatisticKeysPrefix;
import com.sp.blinddate.module.statistics.service.IProfileStatisticsService;
import com.sp.utils.DateUtil;
import com.sp.utils.PageUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;
import java.util.List;

/**
 * <p>
 * 概况统计表 服务实现类
 * </p>
 *
 * @author 十一
 * @since 2019-11-25
 */
@Service
public class ProfileStatisticsServiceImpl extends ServiceImpl<ProfileStatisticsMapper, ProfileStatistics> implements IProfileStatisticsService {

    @Autowired
    private ProfileStatisticsMapper profileStatisticsMapper;

    @Autowired
    private RedisServer redisServer;

    /**
     *功能描述 获取首页的概况信息
     * @author 十一
     * @date 2019/11/25 16:03
     */
    @Override
    public PageInfo<ProfileStatistics> getStatistics(StatisticsParam param) {
        int currentPage = PageUtil.verifyCurrentPage(param.getPageNum());
        Integer pageSize = 10;
        ProfileStatistics ps = null;
        if(currentPage == 1){
            pageSize = 9;
            Date today = new Date();
            String todayStr = DateUtil.dateStrDay(today);
            ps = redisServer.get(StatisticKeysPrefix.profileStatistics, todayStr, ProfileStatistics.class);
        }
        String dateStr = null;
        if(param.getDate() != null){
            dateStr = DateUtil.dateStrDay(param.getDate());
        }
        PageHelper.startPage(currentPage, param.getPageSize());
        List<ProfileStatistics> list = profileStatisticsMapper.getStatistics(dateStr);
        if(currentPage == 1 && param.getDate() == null){
            list.add(0, ps);
        }
        return new PageInfo<>(list);
    }
}
