package com.sp.blinddate.module.user.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.io.Serializable;
import java.util.Date;

import com.sp.blinddate.base.status.VIPEnum;
import com.sp.blinddate.module.user.ienum.ImprovedInfoEnum;
import com.sp.blinddate.module.user.ienum.UserStatusEnum;
import com.sp.blinddate.module.user.ienum.VipExpireStatusEnum;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 用户账户表
 * </p>
 *
 * @author 十一
 * @since 2019-11-13
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("user")
public class User extends Model<User> {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    private Long id;

    /**
     * 微信id
     */
    private String openId;

    /**
     * 头像
     */
    private String headImg;

    /**
     * 昵称
     */
    private String nickName;

    /**
     * 手机号码
     */
    private String phone;

    /**
     * 是否完善个人信息0:否:1是
     */
    private ImprovedInfoEnum improvedInfo;

    /**
     * 微信平台id
    **/
    private String unionId;

    /**
     * 状态:0:正常:1:封禁
     */
    private UserStatusEnum status;

    /**
     * 用户信息完成度
    **/
    private Integer infoProcess;

    /**
     * 省
    **/
    private String province;

    /**
     * 城市
    **/
    private String city;

    /**
     * 国家
    **/
    private String country;

    /**
     * vip
    **/
    private VIPEnum vip;

    /**
     * vip过期时间
    **/
    private Date vipExpireDate;

    /**
     * 创建时间
    **/
    private Date createTime;

    /**
     * VIP过期状态
     *
    **/
    private VipExpireStatusEnum vipExpireStatus;
    @Override
    protected Serializable pkVal() {
        return this.id;
    }

}
