package com.sp.blinddate.module.user.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.sp.blinddate.common.BaseReviewIenum;
import com.sp.blinddate.module.user.ienum.*;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 用户信息表
 * </p>
 *
 * @author 十一
 * @since 2019-11-13
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("user_child_info")
public class UserChildInfo extends Model<UserChildInfo> {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id",type = IdType.INPUT)
    private Long id;

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 性别0:男,1:女
     */
    private GenderEnum gender;

    /**
     * 出生日期
     */
    private Date dateOfBirth;

    /**
     * 居住地省
     */
    private String residenceProvince;

    /**
     * 居住地市
     */
    private String residenceCity;

    /**
     * 户籍 （省）
     */
    private String censusProvince;

    /**
     * 户籍(市）
    **/
    private String censusCity;

    /**
     * 学历
     */
    private EducationEnum education;

    /**
     * 身高
     */
    private UserHegihtEnum height;

    /**
     * 职业
     */
    private CarrerEnum carrer;


    /**
     * 手机号码
     */
    private String phone;

    /**
     * 微信号
     */
    private String wechat;

    /**
     * 与子女的关系
     */
    private RelationEnum relation;

    /**
     * 年收入:单位:w
     */
    private IncomeEnum income;

    /**
     * 婚姻状况
     */
    private MaritalStatusEnum maritalStatus;

    /**
     * 是否有房:0:无:1:有
     */
    private HouseEnum house;

    /**
     * 是否有车:0无:1:有
     */
    private CarEnum car;

    /**
     * 其他描述信息
     */
    private String des;

    /**
     * 封面
    **/
    private String coverImg;

    /**
     * 状态
    **/
    private BaseReviewIenum status;

    /**
     * 姻缘号
     **/
    private String marriageNumber;

    /**
     * 审核人id
     **/
    private Long verifyId;

    /**
     * 审核时间
    **/
    private Date verifyTime;

    /**
     * 发布时间
     **/
    private Date updateTime;

    @Override
    protected Serializable pkVal() {
        return null;
    }

}
