package com.sp.blinddate.module.user.keyprefix;

import com.sp.BaseKeyPrefix;

/**
 * @Descrption
 * @Author: 十一
 * @Date: 2019/11/15 11:10
 **/
public class UserKeyPrefix extends BaseKeyPrefix {

    public UserKeyPrefix(String prefix,Integer expireSecond){
        super(prefix,expireSecond);
    }

    /**
     * 用户图片上传的key
    **/
    public static final String USER_INFO_PIC_UPLOAD_STASH_KEY = "user:info:picture:upload:stash:key";
    /**
     * 用户微信信息key
    **/
    public static final String USER_INFO_WECHAT_INFO_KEY = "user:info:wechat:info:key";

    /**
     * 用户位置
    **/
    public static final String USER_LOCATION_INFO_CITY = "user:location:info:city";

    /**
     * 用户推荐状态标记
    **/
    public static final String USER_INFO_RECOMMAND_FLAG = "user:info:recommand:flag";


    /**
     * 用户开通VIP的金额
    **/
    public static final String USER_VIP_PRIVALLIAGE_PRICE = "user:vip:privalliage:price";


    /**
     * 用户token
    **/
    public static final String USER_INFO_LOGIN_TOKEN = "user:info:login:token";

    /**
     * 用户男性用户推荐个数
    **/
    public static final String USER_RECOMMAND_MALE_COUNT = "user:recommand:male:count";

    /**
     * 推荐历史
    **/
    public static final String USER_RECOMMAND_HISTORY = "user:recommand:history";

    /**
     * 用户循环推荐标示
    **/
    public static final String USER_RECOMMAND_LOOP_STATUS = "user:recommand:loop:status";

    /**
     * 用户女性用户推荐个数
    **/
    public static final String USER_RECOMMAND_FEMALE_COUNT = "user:recommand:female:count";


    public static final String USER_SAVE_INFO_LOCK = "user:save:info:lock";

    public static final UserKeyPrefix userInfoPicUpload =
            new UserKeyPrefix(USER_INFO_PIC_UPLOAD_STASH_KEY, 60 * 60 * 3);

    public static final UserKeyPrefix userWechatInfo =
            new UserKeyPrefix(USER_INFO_WECHAT_INFO_KEY, -1);

    public static final UserKeyPrefix userInfoLoginToken =
            new UserKeyPrefix(USER_INFO_LOGIN_TOKEN, 60 * 60 * 24);

    public static final UserKeyPrefix userLocationCity = new UserKeyPrefix(USER_LOCATION_INFO_CITY, 60 * 60 * 24);
    public static final UserKeyPrefix userInfoRecommandFlag = new UserKeyPrefix(USER_INFO_RECOMMAND_FLAG, 60 * 60 * 24);
    public static final UserKeyPrefix userVipPrivaliagePrice = new UserKeyPrefix(USER_VIP_PRIVALLIAGE_PRICE, -1);
    public static final UserKeyPrefix userRecommandMaleCount = new UserKeyPrefix(USER_RECOMMAND_MALE_COUNT, -1);
    public static final UserKeyPrefix userRecommandFemaleCount = new UserKeyPrefix(USER_RECOMMAND_FEMALE_COUNT, -1);
    public static final UserKeyPrefix userRecommandHistory = new UserKeyPrefix(USER_RECOMMAND_HISTORY, 60 * 60 * 24);
    public static final UserKeyPrefix userRecommandLoopStatus = new UserKeyPrefix(USER_RECOMMAND_LOOP_STATUS, -1);
    public static final UserKeyPrefix userSaveInfoLock = new UserKeyPrefix(USER_SAVE_INFO_LOCK, -1);


}
