package com.sp.blinddate.module.vip.service.impl;

import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import com.sp.blinddate.module.user.entity.User;
import com.sp.blinddate.module.user.service.IUserService;
import com.sp.blinddate.module.vip.mapper.VipStatisticsMapper;
import com.sp.blinddate.module.vip.param.BaseParam;
import com.sp.blinddate.module.vip.param.VipParam;
import com.sp.blinddate.module.vip.service.VipStatisticsService;
import com.sp.blinddate.module.vip.vo.UserVO;
import com.sp.blinddate.module.vip.vo.VipExpireVO;
import com.sp.constant.PageConst;
import com.sp.utils.PageUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.List;

/**
 * @Descrption
 * @Author: 十一
 * @Date: 2019/11/25 16:45
 **/
@Service
public class VipStatisticsSeriviceImpl implements VipStatisticsService {

    @Autowired
    private VipStatisticsMapper vipStatisticsMapper;

    @Autowired
    private IUserService userService;

    /**
     *功能描述 获取付费用户的统计信息
     * @author 十一
     * @date 2019/11/25 17:02
     */
    @Override
    public PageInfo<VipExpireVO> getVipStatistics(VipParam param) {
        Integer currentPage = PageUtil.verifyCurrentPage(param.getPageNum());
        PageHelper.startPage(currentPage, param.getPageSize());
        List<VipExpireVO> list = vipStatisticsMapper.getVipStatistics(param);
        return new PageInfo<>(list);
    }

    @Override
    public PageInfo<UserVO> getUserList(BaseParam param) {
        PageInfo<UserVO> info = userService.getUserListOrderByCreateTime(param);
        return info;
    }
}
