package com.sp.blinddate.mvc;

import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.sp.RedisServer;
import com.sp.blinddate.base.vo.Geo;
import com.sp.blinddate.module.geo.keyprefix.GeoKeyPrefix;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.ApplicationListener;
import org.springframework.context.event.ContextRefreshedEvent;
import org.springframework.data.geo.Point;
import org.springframework.stereotype.Component;

import java.util.ArrayList;
import java.util.List;


/**
 * @Descrption
 * @Author: 十一
 * @Date: 2019/11/27 14:41
 **/
@Component
public class InitProvinceCoordinateListenner implements ApplicationListener<ContextRefreshedEvent> {

    @Autowired
    private RedisServer redisServer;

    @Override
    public void onApplicationEvent(ContextRefreshedEvent event) {
        boolean exists = redisServer.exists(GeoKeyPrefix.coordinateList, "list");
        if(exists){
            return;
        }
        String geoCood = "[" +
                "{\"name\":\"甘肃\",\"longitude\":\"103.73\",\"latitude\":\"36.03\"}," +
                "{\"name\":\"青海\",\"longitude\":\"101.74\",\"latitude\":\"36.56\"}," +
                "{\"name\":\"四川\",\"longitude\":\"104.06\",\"latitude\":\"30.67\"}," +
                "{\"name\":\"河北\",\"longitude\":\"114.48\",\"latitude\":\"38.03\"}," +
                "{\"name\":\"云南\",\"longitude\":\"102.73\",\"latitude\":\"25.04\"}," +
                "{\"name\":\"贵州\",\"longitude\":\"106.71\",\"latitude\":\"26.57\"}," +
                "{\"name\":\"湖北\",\"longitude\":\"114.31\",\"latitude\":\"30.52\"}," +
                "{\"name\":\"河南\",\"longitude\":\"113.65\",\"latitude\":\"34.76\"}," +
                "{\"name\":\"山东\",\"longitude\":\"117.36\",\"latitude\":\"65\"}," +
                "{\"name\":\"江苏\",\"longitude\":\"118.78\",\"latitude\":\"32.04\"}," +
                "{\"name\":\"安徽\",\"longitude\":\"117.27\",\"latitude\":\"31.86\"}," +
                "{\"name\":\"浙江\",\"longitude\":\"120.19\",\"latitude\":\"30.26\"}," +
                "{\"name\":\"江西\",\"longitude\":\"115.89\",\"latitude\":\"28.68\"}," +
                "{\"name\":\"福建\",\"longitude\":\"119.3\",\"latitude\":\"26.08\"}," +
                "{\"name\":\"广东\",\"longitude\":\"113.23\",\"latitude\":\"23.16\"}," +
                "{\"name\":\"湖南\",\"longitude\":\"113.28\",\"latitude\":\"21\"}," +
                "{\"name\":\"海南\",\"longitude\":\"110.35\",\"latitude\":\"20.02\"}," +
                "{\"name\":\"辽宁\",\"longitude\":\"123.38\",\"latitude\":\"41.8\"}," +
                "{\"name\":\"吉林\",\"longitude\":\"125.35\",\"latitude\":\"43.88\"}," +
                "{\"name\":\"黑龙江\",\"longitude\":\"126.63\",\"latitude\":\"45.75\"}," +
                "{\"name\":\"山西\",\"longitude\":\"112.53\",\"latitude\":\"37.87\"}," +
                "{\"name\":\"陕西\",\"longitude\":\"108.95\",\"latitude\":\"34.27\"}," +
                "{\"name\":\"台湾\",\"longitude\":\"121.3\",\"latitude\":\"25.03\"}," +
                "{\"name\":\"北京\",\"longitude\":\"116.46\",\"latitude\":\"39.92\"}," +
                "{\"name\":\"上海\",\"longitude\":\"121.48\",\"latitude\":\"31.22\"}," +
                "{\"name\":\"重庆\",\"longitude\":\"106.54\",\"latitude\":\"29.59\"}," +
                "{\"name\":\"天津\",\"longitude\":\"117.2\",\"latitude\":\"39.13\"}," +
                "{\"name\":\"内蒙古\",\"longitude\":\"111.65\",\"latitude\":\"40.82\"}," +
                "{\"name\":\"广西\",\"longitude\":\"108.33\",\"latitude\":\"22.84\"}," +
                "{\"name\":\"西藏\",\"longitude\":\"91.11\",\"latitude\":\"29.97\"}," +
                "{\"name\":\"宁夏\",\"longitude\":\"106.27\",\"latitude\":\"38.47\"}," +
                "{\"name\":\"新疆\",\"longitude\":\"87.68\",\"latitude\":\"43.77\"}," +
                "{\"name\":\"香港\",\"longitude\":\"114.17\",\"latitude\":\"22.28\"}," +
                "{\"name\":\"澳门\",\"longitude\":\"113.54\",\"latitude\":\"22.19\"}]";
        JSONArray objects = JSONObject.parseArray(geoCood);
        List<String> provinceList = new ArrayList<>();
        for (Object object : objects) {
            Geo geo = JSONObject.parseObject(object.toString(), Geo.class);
            provinceList.add(geo.getName());
            Point point = new Point(geo.getLongitude(), geo.getLatitude());
            redisServer.geoAdd(GeoKeyPrefix.coordinateList, "list", point, geo.getName());
        }

        //循环计算各个省份的距离
        for (String vince : provinceList) {
            for (String province : provinceList) {
                if(!vince.equals(province)){
                    //计算出距离
                    Double km = redisServer.geoDist(GeoKeyPrefix.coordinateList, "list", vince, province);
                    //将距离存入到对应的set集合中
                    redisServer.zadd(GeoKeyPrefix.provinceDistance, vince, province, km);
                }
            }
        }


    }
}
