package com.sp.blinddate.mvc;

import com.sp.blinddate.web.converter.EnumConverterFactory;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.format.FormatterRegistry;
import org.springframework.web.servlet.config.annotation.WebMvcConfigurerAdapter;

/**
 * @Descrption
 * @Author: 十一
 * @Date: 2019/12/7 17:35
 **/
@Configuration
public class SpringMVCconfig extends WebMvcConfigurerAdapter {


    @Override
    public void addFormatters(FormatterRegistry registry) {
        registry.addConverterFactory(enumConverterFactory());
    }

    /**
     * 配置枚举累自动封装
     **/
    @Bean
    public EnumConverterFactory enumConverterFactory(){
        EnumConverterFactory factory = new EnumConverterFactory();
        factory.setBasePackage("com.sp");
        return factory;
    }
}
