package com.sp.blinddate.mvc;

import com.sp.RedisServer;
import com.sp.blinddate.module.statistics.entity.ProfileStatistics;
import com.sp.blinddate.module.statistics.prefix.StatisticKeysPrefix;
import com.sp.utils.DateUtil;
import com.sp.utils.IdGenerateUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.ApplicationListener;
import org.springframework.context.event.ContextRefreshedEvent;
import org.springframework.stereotype.Component;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @Descrption
 * @Author: 十一
 * @Date: 2019/11/25 15:39
 **/
@Component
public class StatisticListener implements ApplicationListener<ContextRefreshedEvent> {

    @Autowired
    private RedisServer redisServer;

    @Override
    public void onApplicationEvent(ContextRefreshedEvent event) {
        Date today = new Date();
        String todayStr = DateUtil.dateStrDay(today);
        boolean result = redisServer.exists(StatisticKeysPrefix.profileStatistics, todayStr);
        //如果不存在
        if(result){
            ProfileStatistics ps =  new ProfileStatistics();
            ps.setDate(today);
            ps.setId(IdGenerateUtil.generateId());
            ps.setPublishTotal(0);
            ps.setTodayCertificationFee(BigDecimal.ZERO);
            ps.setYestodayPublishTotal(0);
            ps.setTodayPublishTotal(0);
            ps.setTotalCertificationFee(BigDecimal.ZERO);
            ps.setYestodayCertificationFee(BigDecimal.ZERO);
            redisServer.set(StatisticKeysPrefix.profileStatistics, todayStr, ps);
        }
    }
}
