package com.sp.blinddate.utils;

import org.springframework.cglib.beans.BeanCopier;
import org.springframework.cglib.core.Converter;


public class BeanUtil {

	public static String getGetterMethodName(String property, Class<?> javaType) {
        StringBuilder getterBuf = new StringBuilder(property.length()+3);
        if ("boolean".equals(javaType.getName())) { //Boolean是get方法
        	getterBuf.append("is"); 
        } else {
        	getterBuf.append("get"); 
        }
        char ch = property.charAt(0);
        if (Character.isLowerCase(ch)) {
            if (property.length() == 1 || !Character.isUpperCase(property.charAt(1))) {
            	ch = Character.toUpperCase(ch);
            }
        }
        getterBuf.append(ch).append(property.substring(1, property.length()));
        return getterBuf.toString();
    }
	
	public static String getSetterMethodName(String property) {
        StringBuilder setterBuf = new StringBuilder(property.length()+3);
        setterBuf.insert(0, "set"); 
        char ch = property.charAt(0);
        if (Character.isLowerCase(ch)) {
            if (property.length() == 1 || !Character.isUpperCase(property.charAt(1))) {
            	ch = Character.toUpperCase(ch);
            }
        }
        setterBuf.append(ch).append(property.substring(1, property.length()));
        return setterBuf.toString();
	}
	
	/**
	 * bean拷贝工具类 注意：拷贝条件:属性同名且可继承
	 * @param src
	 * @param target
	 * @return
	 */
	public static void copyBean(Object src, Object target) {
		if(src == null || target == null) {
			return;
		}
		BeanCopier copier = BeanCopier.create(src.getClass(), target.getClass(), false);
		copier.copy(src, target, null);
	}
	
	public static void copyBean(Object src, Object target, Converter converter) {
		if(src == null || target == null) {
			return;
		}
		if(converter == null) {
			copyBean(src, target);
			return;
		}
		BeanCopier copier = BeanCopier.create(src.getClass(), target.getClass(), true);
		copier.copy(src, target, converter);
		return;
	}
}
