package com.sp.blinddate.utils;

/**
 * @Author: 十一
 * @Date: 2019/9/28 15:07
 * @Descrption 用户特权工具类
 **/
public class UserPrivilegeUtil {

    private UserPrivilegeUtil(){}

    /**
     *功能描述 判断用户是否拥有此特权
     * @author 十一
     * @date 2019/9/28 15:11
     */
    public static boolean hasPrivilege(Integer userPrivilege,Integer privilege){
        return (userPrivilege & privilege) != 0;
    }

    /**
     *功能描述 添加用户特权
     * @author 十一
     * @date 2019/9/28 15:27
     */
    public static Integer addPrivilege(Integer userPrivilege,Integer privilege){
        if (hasPrivilege(userPrivilege, privilege)) {
            return userPrivilege;
        }
        return (userPrivilege | privilege);
    }

    /**
     *功能描述 移除用户指定的特权
     * @author 十一
     * @date 2019/9/28 15:28
     */
    public static Integer removePrivilege(Integer userPrivilege,Integer privilege){
        if (!hasPrivilege(userPrivilege, privilege)) {
            return userPrivilege;
        }
        return userPrivilege ^ privilege;
    }
}
