package com.sp.blinddate.validator;

import org.springframework.util.StringUtils;

import javax.validation.ConstraintValidator;
import javax.validation.ConstraintValidatorContext;
import java.util.regex.Pattern;

public class PhoneValidator implements ConstraintValidator<Phone, String> {

	private static final String PHONE_PATTERN = "^(12|13|14|15|17|18|19)[0-9]{9}$"; 
	
	@Override
	public void initialize(Phone constraintAnnotation) {
	}

	@Override
	public boolean isValid(String value, ConstraintValidatorContext context) {
		if(StringUtils.isEmpty(value)) {
			return true;
		}
		return Pattern.matches(PHONE_PATTERN, value);
	}

}
