package com.sp.blinddate.validator;

import org.springframework.util.StringUtils;

import javax.validation.ConstraintValidator;
import javax.validation.ConstraintValidatorContext;
import java.util.regex.Pattern;

public class SmsCodeValidator implements ConstraintValidator<SmsCode, String> {

	private static final String SMS_CODE_PATTERN = "^[0-9]{4}$"; 
	
	@Override
	public void initialize(SmsCode constraintAnnotation) {
	}

	@Override
	public boolean isValid(String value, ConstraintValidatorContext context) {
		if(StringUtils.isEmpty(value)) {
			return true;
		}
		return Pattern.matches(SMS_CODE_PATTERN, value);
	}

}
