
package com.sp.blinddate.config;

import com.sp.blinddate.handler.RedisKeyExpireHandler;
import org.springframework.data.redis.connection.Message;
import org.springframework.data.redis.listener.KeyExpirationEventMessageListener;
import org.springframework.data.redis.listener.RedisMessageListenerContainer;

import java.nio.charset.StandardCharsets;

/**
 *功能描述 监听redis key过期的回调
 * @author 十一
 * @date 2019/11/15 11:08
 */
public class KeyExpiredListener extends KeyExpirationEventMessageListener{

    public KeyExpiredListener(RedisMessageListenerContainer listenerContainer) {
        super(listenerContainer);
    }

    @Override
    public void onMessage(Message message, byte[] pattern) {
        String key = new String(message.getBody(), StandardCharsets.UTF_8);
        RedisKeyExpireHandler.handler(key);
    }
}