package com.sp.blinddate.module.likechildinfo.controller;

import com.github.pagehelper.PageInfo;
import com.sp.annotation.Authentication;
import com.sp.blinddate.module.likechildinfo.service.IUserLikeChildDetailService;
import com.sp.blinddate.module.likechildinfo.vo.UserLikeChildVO;
import com.sp.blinddate.module.user.entity.User;
import com.sp.http.MJson;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;
import springfox.documentation.annotations.ApiIgnore;

/**
 * @Descrption
 * @Author: 十一
 * @Date: 2019/11/21 10:02
 **/
@RestController
@RequestMapping("likechildinfo")
@Api(tags = "对喜欢的对象相关的操作域")
public class LikeChildInfoController {

    @Autowired
    private IUserLikeChildDetailService userLikeChildDetailService;

    @ApiOperation(value = "获取我喜欢的子女列表", notes = "获取我喜欢的子女列表")
    @RequestMapping(value = "likedChildList", method = RequestMethod.GET, produces = "application/json")
    @Authentication
    @ApiImplicitParams({
            @ApiImplicitParam(name = "currentPage", value = "当前页码",
                    paramType = "query", required = true, dataType = "Integer")
    })
    public MJson<PageInfo<UserLikeChildVO>> getLikegetLikedChildlist(@ApiIgnore User user, Integer currentPage){
        PageInfo<UserLikeChildVO> info = userLikeChildDetailService.getLikedChildList(user, currentPage);
        return MJson.ok(info);
    }


    @ApiOperation(value = "获取喜欢我的子女的用户列表", notes = "获取喜欢我的子女的用户列表")
    @RequestMapping(value = "likeMyChildList", method = RequestMethod.GET, produces = "application/json")
    @Authentication
    @ApiImplicitParams({
            @ApiImplicitParam(name = "currentPage", value = "当前页码",
                    paramType = "query", required = true, dataType = "Integer")
    })
    public MJson<PageInfo<UserLikeChildVO>> getLikeMyChildList(@ApiIgnore User user, Integer currentPage){
        PageInfo<UserLikeChildVO> info = userLikeChildDetailService.getLikeMyChildList(user, currentPage);
        return MJson.ok(info);
    }


}
