package com.sp.blinddate.module.order.controller;

import com.sp.blinddate.module.order.ienum.PayTypeEnum;
import com.sp.blinddate.module.order.service.IOrderResultWXPayService;
import com.sp.ienum.IEnum;
import com.sp.plugin.pay.wxpay.constant.WXReturn;
import com.sp.utils.JsonUtil;
import io.swagger.annotations.Api;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.ResponseBody;
import springfox.documentation.annotations.ApiIgnore;
import wxsdk.WXPayUtil;

import java.net.URLDecoder;
import java.util.Map;

/**
 * @author apple
 */
@ApiIgnore
@Api(tags={"order"}, description="订单域-微信支付结果通知接口")
@Controller
@RequestMapping("/api/order/wxpay")
public class OrderResultWXPayController {

	private static final Logger LOG = LoggerFactory.getLogger(OrderResultWXPayController.class);

	@Autowired
	private IOrderResultWXPayService orderReasultWXPayService;

	@ApiIgnore
	@RequestMapping(path="/notify_url/v1", method=RequestMethod.POST, produces="text/xml;charset=UTF-8")
	@ResponseBody
	public String notifyUrl(@RequestBody String xmlStr) throws Exception {
		Map<String, String> params = WXPayUtil.xmlToMap(xmlStr);
		try {
			String attach = params.get("attach");
			PayTypeEnum payType = null;
			String token = "";
			try {
				Map<?, ?> map = JsonUtil.toMap(URLDecoder.decode(attach, "UTF-8"));
				payType = IEnum.of(PayTypeEnum.class, Integer.parseInt((String)map.get("payType")));
				token = map.get("token").toString();
			} catch (Exception e) {}

			orderReasultWXPayService.notifyUrl(token,payType, params);
		} catch (Exception e) {
			LOG.error("PAY-wxpay-{}", params.get("out_trade_no"), e);
			return WXReturn.FAIL;
		}
		return WXReturn.SUCCESS;
	}
}
