package com.sp.blinddate.module.recommand.controller;

import com.sp.RedisServer;
import com.sp.annotation.Authentication;
import com.sp.blinddate.module.recommand.param.RecommandParam;
import com.sp.blinddate.module.recommand.service.RecommandService;
import com.sp.blinddate.module.recommand.vo.RecommandVO;
import com.sp.blinddate.module.user.entity.User;
import com.sp.blinddate.module.user.keyprefix.UserKeyPrefix;
import com.sp.http.MJson;
import com.sp.utils.StringUtil;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestHeader;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import springfox.documentation.annotations.ApiIgnore;

import java.util.List;

/**
 * @Descrption
 * @Author: 十一
 * @Date: 2019/11/21 15:29
 **/
@RestController
@Api(tags = "推荐列表相关")
@RequestMapping("recommand")
public class RecommandController {

    @Autowired
    private RecommandService recommandService;

    @Autowired
    private RedisServer redisServer;

    @ApiOperation(value = "获取推荐列表",notes = "获取推荐列表")
    @PostMapping("list")
    @Authentication
    public MJson<List<RecommandVO>> getList(@ApiIgnore @RequestHeader("My-Token") String token,
                                                @Validated RecommandParam param){
        User user = null;
        if(!StringUtil.isBlank(token)){
            user = redisServer.get(UserKeyPrefix.userInfoLoginToken, token, User.class);
        }
        List<RecommandVO> info = recommandService.recommand(user,param);
        return MJson.ok(info);

    }
}
