package com.sp.blinddate.module.user.controller;


import com.sp.annotation.Authentication;
import com.sp.blinddate.module.likechildinfo.service.IUserLikeChildDetailService;
import com.sp.blinddate.module.user.entity.User;
import com.sp.http.MJson;
import io.swagger.annotations.*;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;

import org.springframework.stereotype.Controller;
import springfox.documentation.annotations.ApiIgnore;

import javax.validation.constraints.NotNull;

/**
 * <p>
 * 用户喜欢子女的详情表 前端控制器
 * </p>
 *
 * @author 十一
 * @since 2019-11-20
 */
@RestController
@RequestMapping("/userLikeChildDetail")
@Api(tags = "用户喜欢子女的相关操作域")
public class UserLikeChildDetailController {

    @Autowired
    private IUserLikeChildDetailService userLikeChildDetailService;
    
    @ApiOperation(value = "喜欢当前子女",notes = "喜欢当前子女")
    @RequestMapping(value = "likeCurrentChild",method = RequestMethod.POST)
    @Authentication
    @ApiImplicitParams({
                @ApiImplicitParam(name = "marrigeNumber", value = "姻缘号", paramType = "query",
                        required = true, dataType = "String")
        })
    public MJson<Object> likeCurrentChild(@ApiIgnore User user,
                                          @Validated @NotNull(message = "姻缘号为空") String marrigeNumber){
        userLikeChildDetailService.likeCurrentChild(user, marrigeNumber);
        return MJson.ok();
    }

}
