package com.sp.blinddate.web.exceptionhandler;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.aop.interceptor.AsyncUncaughtExceptionHandler;

import java.lang.reflect.Method;

class MyAsyncExceptionHandler implements AsyncUncaughtExceptionHandler {
    private static final Logger LOG = LoggerFactory.getLogger(MyAsyncExceptionHandler.class);

    //手动处理捕获的异常
    @Override
    public void handleUncaughtException(Throwable throwable, Method method, Object... obj) {
        LOG.info("Exception message - " + throwable.getMessage());
        LOG.info("Method name - " + method.getName());
        for (Object param : obj) {
            LOG.info("Parameter value - " + param);
        }
    }

}