package com.sp.blinddate.web.interceptor;

import com.sp.RedisServer;
import com.sp.blinddate.module.user.entity.User;
import com.sp.blinddate.module.user.ienum.ImprovedInfoEnum;
import com.sp.blinddate.module.user.keyprefix.UserKeyPrefix;
import com.sp.exception.UserInfoException;
import org.springframework.web.servlet.handler.HandlerInterceptorAdapter;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

/**
 * @Descrption 用户信息完成度拦截器
 * @Author: 十一
 * @Date: 2019/11/22 14:25
 **/
public class ImproveInfoInterceptor extends HandlerInterceptorAdapter {

    private RedisServer redisServer;

    public ImproveInfoInterceptor(RedisServer redisServer) {
        this.redisServer = redisServer;
    }

    public static final String TOKEN = "My-Token";

    @Override
    public boolean preHandle(HttpServletRequest request, HttpServletResponse response, Object handler) throws Exception {
        String token = request.getHeader(TOKEN);
        if(token == null){
            throw new UserInfoException();
        }
        User user = redisServer.get(UserKeyPrefix.userInfoLoginToken, token, User.class);
        if(user.getImprovedInfo().equals(ImprovedInfoEnum.UnImproved)){
            throw new UserInfoException();
        }
        return super.preHandle(request, response, handler);
    }
}
