package com.sp.blinddate.web.listenner;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.sp.blinddate.module.user.entity.User;
import com.sp.blinddate.module.user.entity.UserChildInfo;
import com.sp.blinddate.module.user.helper.MarriageNumberManager;
import com.sp.blinddate.module.user.helper.UserIdManager;
import com.sp.blinddate.module.user.helper.UserInfoIdManager;
import com.sp.blinddate.module.user.service.IUserChildInfoService;
import com.sp.blinddate.module.user.service.IUserService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.ApplicationListener;
import org.springframework.context.event.ContextRefreshedEvent;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * @Descrption 同步已经使用过的id
 * @Author: 十一
 * @Date: 2019/11/29 16:54
 **/
@Component
public class InitNumberAndIdListenner implements ApplicationListener<ContextRefreshedEvent> {

    @Autowired
    private IUserService userService;

    @Autowired
    private IUserChildInfoService userChildInfoService;


    @Override
    public void onApplicationEvent(ContextRefreshedEvent event) {
        QueryWrapper<User> qw = new QueryWrapper<>();
        qw.lambda().select(User::getId);
        List<User> list = userService.list(qw);
        for (User user : list) {
            UserIdManager.add(user.getId());
        }

        QueryWrapper<UserChildInfo> infoQw = new QueryWrapper<>();
        infoQw.lambda().select(UserChildInfo::getId,UserChildInfo::getMarriageNumber);
        List<UserChildInfo> infoList = userChildInfoService.list(infoQw);
        for (UserChildInfo info : infoList) {
            MarriageNumberManager.add(info.getMarriageNumber());
            UserInfoIdManager.add(info.getId());
        }
    }
}
