package com.sp.blinddate.web.listenner;

import com.sp.RedisServer;
import com.sp.blinddate.module.user.keyprefix.UserKeyPrefix;
import com.sp.blinddate.utils.EnvironmentUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.ApplicationListener;
import org.springframework.context.event.ContextRefreshedEvent;
import org.springframework.stereotype.Component;

import java.math.BigDecimal;

/**
 * @Descrption
 * @Author: 十一
 * @Date: 2019/11/29 16:54
 **/
@Component
public class InitVipPriceListenner implements ApplicationListener<ContextRefreshedEvent> {

    @Autowired
    private RedisServer redisServer;

    @Override
    public void onApplicationEvent(ContextRefreshedEvent event) {
        String key = "vip";
        String price = EnvironmentUtil.getProperty("blinddate.vip.price");
        if (!redisServer.exists(UserKeyPrefix.userVipPrivaliagePrice, key)) {
            BigDecimal vipPrice = new BigDecimal(price);
            redisServer.set(UserKeyPrefix.userVipPrivaliagePrice, key, vipPrice);
        }
    }
}
