package com.sp.blinddate.web.listenner;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.sp.blinddate.module.wordfilter.entity.SensitiveWords;
import com.sp.blinddate.module.wordfilter.service.ISensitiveWordsService;
import com.sp.blinddate.validator.SensitiveWordsValidator;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.ApplicationListener;
import org.springframework.context.event.ContextRefreshedEvent;
import org.springframework.stereotype.Component;

import java.util.Iterator;
import java.util.List;
import java.util.Set;
import java.util.TreeSet;
import java.util.regex.Matcher;
import java.util.regex.Pattern;

/**
 * @Descrption
 * @Author: 十一
 * @Date: 2019/12/13 09:53
 **/
@Component
public class InitWordFilterListenner implements ApplicationListener<ContextRefreshedEvent> {

    @Autowired
    private ISensitiveWordsService sensitiveWordsService;

    @Override
    public void onApplicationEvent(ContextRefreshedEvent event) {
        QueryWrapper<SensitiveWords> qw = new QueryWrapper<>();
        qw.lambda().select(SensitiveWords::getSensitiveWords);
        List<SensitiveWords> list = sensitiveWordsService.list(qw);
        Set<String> set =  new TreeSet<>();
        StringBuffer sb = new StringBuffer();
        for (SensitiveWords sensitiveWords : list) {
            set.add(sensitiveWords.getSensitiveWords());
        }
        Iterator<String> iter = set.iterator();
        while(iter.hasNext()){
            sb.append(iter.next());
            if(iter.hasNext()){
                sb.append("|");
            }
        }
        SensitiveWordsValidator.setWordPattern(sb.toString());
    }
}
