package com.sp.blinddate.web.mvc;

import com.sp.RedisServer;
import com.sp.blinddate.web.interceptor.AuthIntercepter;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.web.method.support.HandlerMethodArgumentResolver;
import org.springframework.web.multipart.commons.CommonsMultipartResolver;
import org.springframework.web.servlet.config.annotation.InterceptorRegistry;
import org.springframework.web.servlet.config.annotation.WebMvcConfigurerAdapter;

import java.util.List;

/**
 * @Descrption Spring配置类
 * @Author: 十一
 * @Date: 2019/11/15 16:02
 **/
@Configuration
public class SpringConfig extends WebMvcConfigurerAdapter {

    @Autowired
    private RedisServer redisServer;

    @Bean
    public CommonsMultipartResolver multipartResolver(){
        CommonsMultipartResolver resolver = new CommonsMultipartResolver();
        resolver.setDefaultEncoding("UTF-8");
        resolver.setMaxUploadSize(15728640);
        return resolver;
    }

    @Override
    public void addArgumentResolvers(List<HandlerMethodArgumentResolver> argumentResolvers) {
        argumentResolvers.add(new CurrentUserMethodArgumentResolver(redisServer));
    }

    @Override
    public void addInterceptors(InterceptorRegistry registry) {
        registry.addInterceptor(new AuthIntercepter(redisServer))
                .addPathPatterns("/**");
//        registry.addInterceptor(new ImproveInfoInterceptor(redisServer))
//                .addPathPatterns("/**")
//                .excludePathPatterns("/user/child/blinddate/base")
//                .excludePathPatterns("/user/child/blinddate/detail")
//                .excludePathPatterns("/user/getSelectItemByType")
//                .excludePathPatterns("/user/saveInfo")
//                .excludePathPatterns("/webjars/**")
//                .excludePathPatterns("/user/uploadUserPic")
//                .excludePathPatterns("/recommand/list")
//                .excludePathPatterns("/user/getUserBindPhone")
//                .excludePathPatterns("/user/getUserOpenId")
//                .excludePathPatterns("/user/login")
//                .excludePathPatterns("/index.html")
//                .excludePathPatterns("/docs.html")
//                .excludePathPatterns("/likechildinfo/likeMyChildList")
//                .excludePathPatterns("/likechildinfo/likedChildList")
//                .excludePathPatterns("/v2/api-docs")
//                .excludePathPatterns("/file/**")
//                .excludePathPatterns("/user/mine");


    }

}
